import * as React from 'react';
import {
  Button,
  Table,
  Label,
  Segment,
  Header,
  Container,
} from 'semantic-ui-react';
import Probe from '@overflow/probe/api/model/Probe';
import InfraHost from '@overflow/infra/api/model/InfraHost';

export interface StateProps {
  id: string;
  probe: Probe;
}

export interface DispatchProps {
  onRead?(id: string): void;
}

export type Props = StateProps & DispatchProps;

export interface State {
}


export class ProbeHost extends React.Component<Props, State> {

  constructor(props: Props, context: State) {
    super(props, context);
    this.state = {
      host: null,
    };
  }

  public componentWillMount(): void {
    this.props.onRead(this.props.id);
  }


  public render(): JSX.Element {
    return (
      <Container fluid>
        <Table celled={false}>
          <Table.Body>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>IP</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.host.ip}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>MAC</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.host.mac}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>OS meta</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.host.os.meta}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>OS vendor name</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.host.os.vendor.name}</Table.Cell>
            </Table.Row>
            <Table.Row>
              <Table.Cell collapsing>
                <Header size='small'>OS vendor type</Header>
              </Table.Cell>
              <Table.Cell>{this.props.probe.host.os.vendor.infraType.name}</Table.Cell>
            </Table.Row>
          </Table.Body>
        </Table>
      </Container>
    );
  }
}

